5.02.2 binary incompatible with 5.02.1

Simon Marlow [email protected]
Tue, 22 Jan 2002 14:48:55 -0000


> I just noted that 5.02.2 is binary incompatible with 5.02.1 which is a
> minor nuisance, since I must then recompile all my .o-files.
>=20
> This was not mentioned in the release notes, perhaps it was
> unintentional?

Yes, this is the case for *all* releases of GHC, even minor ones(*).  It =
would be nice to improve this situation, but unfortunately retaining =
binary compatibility is not straightforward due to the high level of =
coupling between compiled modules - the price you pay for aggressive =
inter-module optimistaion.

Cheers,
	Simon

(*) Actually this may not be strictly true, but binary compatibility =
would be accidental rather than intended.